## gamehub 0.16.3-2

=== meson_options.txt ===
option('git_branch', type: 'string', value: '@GIT_BRANCH@')
option('git_commit', type: 'string', value: '@GIT_COMMIT@')
option('git_commit_short', type: 'string', value: '@GIT_COMMIT_SHORT@')

option('os', type: 'combo', choices: ['linux', 'windows', 'macos'], value: 'linux')
option('distro', type: 'combo', choices: ['generic', 'debian', 'arch'], value: 'generic')
option('package', type: 'combo', choices: ['generic', 'appimage', 'flatpak'], value: 'generic')

option('feature_overlayfs', type: 'boolean', value: true)

option('perf_images_memcache', type: 'boolean', value: false)
option('perf_gamecard_unload_images', type: 'boolean', value: true)

option('libretro_core_dir', type: 'string', value: '/usr/lib/libretro')
option('libretro_core_info_dir', type: 'string', value: '/usr/share/libretro/info')

option('api_key_steam', type: 'string', value: '8B10B604CAC6AC90F57AACE025DD904C')
option('api_key_itch', type: 'string', value: '')
option('api_key_igdb', type: 'string', value: 'e0a54818580e4085b596c5aa613b1c53')
option('api_key_steamgriddb', type: 'string', value: '711485c5b6c9b8ca87f6052f6dda04e8')

option('runtime', type: 'string', value: '')
option('use_libunity', type: 'boolean', value: false)

## gamehub 0.16.1-2-master+ds

=== debian/changelog ===
gamehub (0.16.1-2-master+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Yangfl <mmyangfl@gmail.com>  Sun, 07 Nov 2021 05:16:37 +0800

gamehub (0.16.0-1-master+ds-1) unstable; urgency=medium

  * Initial release (Closes: #982335)

 -- Yangfl <mmyangfl@gmail.com>  Tue, 16 Feb 2021 13:57:58 +0800

=== debian/control ===
Source: gamehub
Section: games
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends: meson (>= 0.40),
               valac (>= 0.16),
               debhelper-compat (= 13),
               libgtk-3-dev,
               libglib2.0-dev,
               libwebkit2gtk-4.0-dev,
               libjson-glib-dev,
               libgee-0.8-dev,
               libsoup2.4-dev,
               libsqlite3-dev,
               libxml2-dev,
               libpolkit-gobject-1-dev,
               libx11-dev,
               libmanette-0.2-dev,
               libxtst-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://tkashkin.tk/projects/gamehub/
Vcs-Git: https://salsa.debian.org/yangfl-guest/gamehub.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/gamehub

Package: gamehub
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: file-roller, innoextract, wine, dosbox
Suggests: steam
Description: Unified library for games from multiple sources
 GameHub is a unified library for all your games. It allows you to store your
 games from different platforms into one program to make it easier for you to
 manage your games. With GameHub, you can:
 .
  * store your games in one place
  * login to multiple platforms
  * install games from the supported sources
  * download game installers, DLCs and bonus content
  * automatically find artwork for games on SteamGridDB
  * setup emulators and automatically import emulated games
  * Overlays — multiple directories applied on top of each other to manage DLCs
    and mods
  * Tweaks — environment variable and command line overrides
  * multiple compatibility layers: Wine, Proton, DOSBox, RetroArch, ScummVM,
    WineWrap
  * multiple game platforms: Steam, GOG, Humble Bundle, itch.io

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds,filenamemangle=s%(?:.*?)?v?(\d[\d.-]*(?:-[a-z]+)?)\.tar\.gz%gamehub-$1.tar.gz%" \
   https://github.com/tkashkin/GameHub/releases/latest \
   (?:.*?/)?v?(\d[\d.-]*(?:-[a-z]+)?)\.tar\.gz debian uupdate

## gamehub 0.16.3-2-master+ds

=== debian/changelog ===
gamehub (0.16.3-2-master+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop webkit support (Closes: #1063232)

 -- Bastian Germann <bage@debian.org>  Mon, 25 Aug 2025 17:03:37 +0200

gamehub (0.16.3-2-master+ds-1) unstable; urgency=medium

  * New upstream release
    * Fix FTBFS (Closes: #1011700)
  * Bump Standards-Version to 4.6.1

 -- Yangfl <mmyangfl@gmail.com>  Wed, 15 Jun 2022 14:03:39 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                debhelper-compat (= 13),
                libgtk-3-dev,
                libglib2.0-dev,
-               libwebkit2gtk-4.0-dev,
                libjson-glib-dev,
                libgee-0.8-dev,
                libsoup2.4-dev,
@@ -18,8 +17,8 @@
                libmanette-0.2-dev,
                libxtst-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Homepage: https://tkashkin.tk/projects/gamehub/
+Standards-Version: 4.6.1
+Homepage: https://tkashkin.github.io/projects/gamehub/
 Vcs-Git: https://salsa.debian.org/yangfl-guest/gamehub.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/gamehub

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

execute_after_dh_auto_install:
	mkdir -p debian/gamehub/usr/games
	mv debian/gamehub/usr/bin/com.github.tkashkin.gamehub debian/gamehub/usr/bin/gamehub debian/gamehub/usr/games/
	mkdir -p debian/gamehub/usr/libexec
	mv debian/gamehub/usr/bin/com.github.tkashkin.gamehub-overlayfs-helper debian/gamehub/usr/libexec/
	rmdir debian/gamehub/usr/bin
